package main

import androidx.compose.foundation.layout.*
import androidx.compose.material.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import main.component.buttonComponent

@Composable
fun HelpPage(onBackClick: () -> Unit) {
    Column(
        modifier = Modifier
            .fillMaxSize()
            .padding(16.dp),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Text("Bienvenue dans l'aide !", style = MaterialTheme.typography.h4)

        Spacer(modifier = Modifier.height(16.dp))

        Text("Contenu de l'aide...")

        Spacer(modifier = Modifier.height(16.dp))

        buttonComponent("OK", onBackClick)
    }
}

@Composable
fun HelpButton(onHelpClick: () -> Unit) {
    Box(
        modifier = Modifier
            .fillMaxSize()
            .padding(16.dp),
        contentAlignment = Alignment.BottomEnd
    ) {
        IconButton(
            onClick = onHelpClick
        ) {
            Text("?", fontSize = 24.sp)
        }
    }
}
